## org.eclipse.m2m.atl.engine.emfvm.lib
Class OclParametrizedType

    java.lang.Object
      org.eclipse.m2m.atl.engine.emfvm.lib.OclType
          org.eclipse.m2m.atl.engine.emfvm.lib.OclParametrizedType

    public class OclParametrizedType

extends OclType

An OCL complex type.

Constructor Summary
`OclParametrizedType()` Constructor.
`OclParametrizedType(java.lang.String name, java.lang.Object elementType)` Constructor.

Method Summary
`boolean` `conformsTo(OclType other)` Tests if the current object conforms to the given object.
`boolean` `equals(java.lang.Object obj)`
`OclType` `getElementType()`
`int` `hashCode()`
`void` `setElementType(java.lang.Object elementType)` Sets the element type.
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.m2m.atl.engine.emfvm.lib.OclType
`addSimpleType, getName, getNativeClassfromOclTypeName, getOclTypeFromObject, getSupertypes, setName`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OclParametrizedType

    public OclParametrizedType(java.lang.String name,
                               java.lang.Object elementType)

  Constructor.

  Parameters:
    `name` - the type name
    `elementType` - the type

### OclParametrizedType

    public OclParametrizedType()

  Constructor.

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`
  See Also:
    `Object.equals(java.lang.Object)`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`
  See Also:
    `Object.hashCode()`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `OclType`
  See Also:
    `OclType.toString()`

### getElementType

    public OclType getElementType()

### setElementType

    public void setElementType(java.lang.Object elementType)

  Sets the element type.

  Parameters:
    `elementType` - the type to set

### conformsTo

    public boolean conformsTo(OclType other)

  Tests if the current object conforms to the given object.

  Specified by:
    `conformsTo` in class `OclType`
  Parameters:
    `other` - the other object
  Returns:
    true if the current object conforms to the given object
  See Also:
    `OclType.conformsTo(org.eclipse.m2m.atl.engine.emfvm.lib.OclType)`

Copyright 2007 IBM Corporation and others. All Rights Reserved.